WildcardClassNameMatcher (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.serialization

## Class WildcardClassNameMatcher

- java.lang.Object
- - org.apache.commons.io.serialization.WildcardClassNameMatcher

- All Implemented Interfaces:
    ClassNameMatcher

      final class WildcardClassNameMatcher
      extends java.lang.Object
      implements ClassNameMatcher

  A `ClassNameMatcher` that uses simplified regular expressions provided by `FilenameUtils.wildcardMatch`

  This object is immutable and thread-safe.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `pattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildcardClassNameMatcher(java.lang.String pattern)` Constructs an object based on the specified simplified regular expression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(java.lang.String className)` Returns `true` if the supplied class name matches this object's condition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pattern

          private final java.lang.String pattern

  - ### Constructor Detail

    - #### WildcardClassNameMatcher

          public WildcardClassNameMatcher(java.lang.String pattern)

      Constructs an object based on the specified simplified regular expression.
      Parameters:
        `pattern` - a `FilenameUtils.wildcardMatch(java.lang.String, java.lang.String)` pattern.

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.String className)

      Description copied from interface: `ClassNameMatcher`
      Returns `true` if the supplied class name matches this object's condition.
      Specified by:
        `matches` in interface `ClassNameMatcher`
      Parameters:
        `className` - fully qualified class name
      Returns:
        `true` if the class name matches this object's condition

Copyright (c) 2002-2016 Apache Software Foundation